Oracle Linux 7:qemu-kvm (ELSA-2017-1856)

medium Nessus Plugin ID 102284

概要

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

說明

來自 Red Hat 安全公告 2017:1856: 現已提供適用於 Red Hat Enterprise Linux 7 的 qemu-kvm 更新。 Red Hat 產品安全性團隊已將此更新評等為具有中等安全性影響。可從〈參照〉一節的 CVE 連結中取得每個弱點之常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。 核心型虛擬機器 (KVM) 是各種架構上 Linux 的完全虛擬化解決方案。qemu-kvm 套件可提供使用 KVM 執行虛擬機器的使用者空間元件。 安全性修正: * 在 VNC 顯示器驅動程式中的 Quick Emulator (QEMU) 發現越界記憶體存取問題。在「vnc_refresh_server_surface」中重新整理 VNC 顯示器表面區域時,可能會發生此缺陷。客體中的使用者可利用此缺陷使 QEMU 處理程序損毀。(CVE-2017-2633) * 在 CCID 卡片裝置支援的 Quick Emulator (QEMU) 中發現整數溢位缺陷。透過在主機往返的命令/回應封包來傳遞訊息時,可能會發生此缺陷。客體中有權限的使用者可能利用此缺陷使 QEMU 處理程序損毀。 (CVE-2017-5898) * 在 Task Priority Register (TPR) 最佳化的 Quick Emulator (QEMU) 中,發現 32 位元 Windows 客體的資訊暴露缺陷。 存取 TPR 時可能會發生此缺陷。來賓中有權限的使用者可能利用此問題讀取部分主機記憶體。 (CVE-2016-4020) Red Hat 在此感謝 Li Qiang (360.cn Inc.) 報告 CVE-2017-5898,以及 Donghai Zdh (Alibaba Inc.) 報告 CVE-2016-4020。 其他變更: 如需有關此發行版本的詳細變更資訊,請參閱可從「參照」一節連結的 Red Hat Enterprise Linux 7.4 版本資訊。

解決方案

更新受影響的 qemu-kvm 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2017-August/007084.html

Plugin 詳細資訊

嚴重性: Medium

ID: 102284

檔案名稱: oraclelinux_ELSA-2017-1856.nasl

版本: 3.6

類型: local

代理程式: unix

已發布: 2017/8/9

已更新: 2021/1/14

支援的感應器: Frictionless Assessment Agent, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Medium

分數: 5.2

CVSS v2

風險因素: Medium

基本分數: 4

時間分數: 3

媒介: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:qemu-img, p-cpe:/a:oracle:linux:qemu-kvm, p-cpe:/a:oracle:linux:qemu-kvm-common, p-cpe:/a:oracle:linux:qemu-kvm-tools, cpe:/o:oracle:linux:7

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/OracleLinux

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2017/8/8

弱點發布日期: 2016/5/25

參考資訊

CVE: CVE-2016-4020, CVE-2017-2633, CVE-2017-5898

RHSA: 2017:1856